package com.qmth.distributed.print.business.bean.dto;

import com.qmth.teachcloud.common.annotation.ExcelNote;

import java.io.Serializable;

/**
 * @Date: 2021/10/28.
 */
public class ExamPaperObjectiveStructureDto implements Serializable {

    @ExcelNote(value = "科目代码")
    private String courseCode;
    @ExcelNote(value = "科目名称")
    private String courseName;
    @ExcelNote(value = "试卷类型")
    private String paperType;
    @ExcelNote(value = "大题名称")
    private String mainName;
    @ExcelNote(value = "大题号(只能用小写数字)")
    private String mainNumber;
    @ExcelNote(value = "小题号(只能用小写数字)")
    private String subNumber;
    @ExcelNote(value = "标准答案")
    private String answer;
    @ExcelNote(value = "小题满分")
    private String score;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getMainName() {
        return mainName;
    }

    public void setMainName(String mainName) {
        this.mainName = mainName;
    }

    public String getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(String mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }
}
